import * as React from 'react';
import { IObservableLikeValue } from '../../Utilities/Observable';
import { IBaseProps } from 'office-ui-fabric-react/lib/Utilities';

export interface IObservableComponentProps extends IBaseProps {

    /**
     * All props that should be passed down to the child element.
     * These properties are IObservableLikeValues, meaning that if they are observable,
     * we will attempt to subscribe to their changes.
     */
    [propName: string]: IObservableLikeValue<any>;
}