/// <reference types="react" />
import { ITextFieldProps } from 'office-ui-fabric-react/lib/TextField';
import { ITextFilterBarProps } from '../../Components/FilterBar/TextFilterBarItem.Props';
import { FilterBarItem, IFilterBarItemState } from '../../Components/FilterBar/FilterBarItem';
export interface ITextFilterBarItemState extends IFilterBarItemState<string> {
}
export declare class TextFilterBarItem extends FilterBarItem<string, ITextFilterBarProps, ITextFilterBarItemState> {
    private _textField;
    focus(): void;
    render(): JSX.Element;
    protected getExtraTextFieldProps(): ITextFieldProps;
    protected getThrottleWait(): number;
    private _onClearInputKeyPress;
    private _onClearInputClick;
    private _resetText();
    private _onTextChanged;
    private _onKeyDown;
}
