/// <reference types="react" />
import { BaseComponent } from "office-ui-fabric-react/lib/Utilities";
import { IHubTitleProps } from "../../Components/HubHeader/HubTitle.Props";
import "./HubTitle.css";
export interface IHubTitleState {
    isFavorited?: boolean;
}
/**
 * Component that generates a standard VSTS page header.
 */
export declare class HubTitle extends BaseComponent<IHubTitleProps, IHubTitleState> {
    constructor(props: IHubTitleProps);
    private getIcon();
    private getTitleText();
    render(): JSX.Element;
}
