/// <reference types="react" />
import { ITreeProps, ITree } from "../../Components/Tree/Tree.Props";
import { BaseComponent } from "office-ui-fabric-react/lib/Utilities";
import "./Tree.css";
export interface ITreeState {
    collapsedIds: {
        [id: string]: boolean;
    };
    expandedIds: {
        [id: string]: boolean;
    };
}
export declare class Tree<T> extends BaseComponent<ITreeProps<T>, ITreeState> implements ITree<T> {
    constructor(props: ITreeProps<T>);
    render(): JSX.Element;
    private addTreeListItemsForTreeItem(treeItem, treeListItems, indentLevel);
    private onItemToggled;
}
