/// <reference types="react" />
import { IDateTimePickerFilterBarItemProps } from '../../Components/DateTimePicker/DateTimePicker.Props';
import { IFilterItemState } from '../../Utilities/Filter';
import { FilterBarItem, IFilterBarItemState } from '../../FilterBar';
export interface IDateTimePickerFilterBarItemState extends IFilterBarItemState<Date> {
}
export declare class DateTimePickerFilterBarItem extends FilterBarItem<Date, IDateTimePickerFilterBarItemProps, IDateTimePickerFilterBarItemState> {
    focus(): boolean;
    componentWillMount(): void;
    render(): JSX.Element;
    private _onSelectionChanged;
    protected onFilterChanged(filterState: IFilterItemState): void;
}
