import { IBaseProps } from "office-ui-fabric-react/lib/Utilities";
import * as React from 'react';
import { IObservableLikeValue } from '../../Utilities/Observable';

export interface IDynamicTextProps extends React.HTMLProps<HTMLSpanElement>, IBaseProps {
    /**
     * Observable text value to listen for changes on
     */
    text?: IObservableLikeValue<string>;
}