/// <reference types="react" />
import { IIconProps } from 'office-ui-fabric-react/lib/Icon';
import { BaseComponent } from 'office-ui-fabric-react/lib/Utilities';
import { IVssIconProps } from '../../Components/VssIcon/VssIcon.Props';
import "./VssIcon.css";
export declare class VssIcon extends BaseComponent<IVssIconProps, {}> {
    private static readonly bowtieIconPrefix;
    constructor(props: IVssIconProps);
    render(): JSX.Element;
    /**
     * Convert IVssIconProps to Fabric's IIconProps. To use with components such as IconButton
     * that take IIconProps. This is a pure function.
     * @param props
     * @param className Additional CSS class name to apply to the returned icon
     * @return
     */
    static getIconProps(props: IVssIconProps, className?: string): IIconProps;
}
